<?php

namespace App\Http\Requests;

use App\Models\RabOnline;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class StoreRabOnlineRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('rab_online_create');
    }

    public function rules()
    {
        return [
            'judul_kl_spk_po_pks_p_8_form_pendaftaran' => [
                'string',
                'nullable',
            ],
            'no_kl_spk_po_pks_p_8_form_pendaftaran' => [
                'string',
                'nullable',
            ],
            'tgl_kl_spk_po_pks_p_8_form_pendaftaran' => [
                'string',
                'nullable',
            ],
            'judul_kegiatan' => [
                'string',
                'nullable',
            ],
            'pelanggan_user' => [
                'string',
                'nullable',
            ],
            'customer' => [
                'string',
                'nullable',
            ],
            'jumlah_peserta' => [
                'string',
                'nullable',
            ],
            'jumlah_hari' => [
                'string',
                'nullable',
            ],
            'tanggal' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'lokasi_kota' => [
                'string',
                'nullable',
            ],
            'umur_piutang' => [
                'string',
                'nullable',
            ],
        ];
    }
}
