<?php

namespace App\Http\Requests;

use App\Models\Justifikasi;
use Gate;
use Illuminate\Foundation\Http\FormRequest;
use Illuminate\Http\Response;

class UpdateJustifikasiRequest extends FormRequest
{
    public function authorize()
    {
        return Gate::allows('justifikasi_edit');
    }

    public function rules()
    {
        return [
            'unit_kerja' => [
                'string',
                'nullable',
            ],
            'jenis_anggaran_tahun' => [
                'string',
                'nullable',
            ],
            'kode_drk' => [
                'string',
                'nullable',
            ],
            'no_akun' => [
                'string',
                'nullable',
            ],
            'anggaran_dibutuhkan' => [
                'nullable',
                'integer',
                'min:-2147483648',
                'max:2147483647',
            ],
            'saat_penggunaan' => [
                'date_format:' . config('panel.date_format'),
                'nullable',
            ],
            'latar_belakang' => [
                'string',
                'nullable',
            ],
            'aspek_strategis' => [
                'string',
                'nullable',
            ],
            'aspek_bisnis' => [
                'string',
                'nullable',
            ],
            'spesifikasi_teknis' => [
                'string',
                'nullable',
            ],
            'rencana_pelaksanaan' => [
                'string',
                'nullable',
            ],
            'distribusi_penggunaan' => [
                'string',
                'nullable',
            ],
            'posisi_persediaan' => [
                'string',
                'nullable',
            ],
        ];
    }
}
