<?php

namespace App\Models;

use \DateTimeInterface;
use Carbon\Carbon;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class Justifikasi extends Model
{
    use SoftDeletes;
    use HasFactory;

    public $table = 'justifikasis';

    protected $dates = [
        'saat_penggunaan',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'unit_kerja',
        'nama_kegiatan_id',
        'jenis_anggaran_tahun',
        'kode_drk',
        'no_akun',
        'anggaran_dibutuhkan',
        'saat_penggunaan',
        'latar_belakang',
        'aspek_strategis',
        'aspek_bisnis',
        'spesifikasi_teknis',
        'rencana_pelaksanaan',
        'distribusi_penggunaan',
        'posisi_persediaan',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function nama_kegiatan()
    {
        return $this->belongsTo(RabOnline::class, 'nama_kegiatan_id');
    }

    public function getSaatPenggunaanAttribute($value)
    {
        return $value ? Carbon::parse($value)->format(config('panel.date_format')) : null;
    }

    public function setSaatPenggunaanAttribute($value)
    {
        $this->attributes['saat_penggunaan'] = $value ? Carbon::createFromFormat(config('panel.date_format'), $value)->format('Y-m-d') : null;
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
