<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class MasterBeban extends Model
{
    use SoftDeletes;
    use HasFactory;

    public const KATEGORI_BEBAN_SELECT = [
        '1' => 'BEBAN MATERIAL',
        '2' => 'BEBAN SDM',
        '3' => 'BEBAN PENUNJANG',
        '4' => 'BEBAN AKOMODASI',
        '5' => 'BEBAN KONSUMSI',
        '6' => 'BEBAN LAIN-LAIN',
        '7' => 'BEBAN KERJASAMA (TERMASUK PPN 10%)',
    ];

    public $table = 'master_bebans';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'kategori_beban',
        'uraian',
        'satuan',
        'harga_satuan',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
