<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class RabBeban extends Model
{
    use SoftDeletes;
    use HasFactory;

    public $table = 'rab_bebans';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'rab_id',
        'satuanbeban_id',
        'hargasatuan_id',
        'volume_satuan',
        'volume_item',
        'ppn',
        'panjar',
        'total_harga',
        'keterangan',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function rab()
    {
        return $this->belongsTo(RabOnline::class, 'rab_id');
    }

    public function satuanbeban()
    {
        return $this->belongsTo(MasterBeban::class, 'satuanbeban_id');
    }

    public function hargasatuan()
    {
        return $this->belongsTo(MasterBeban::class, 'hargasatuan_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
