<?php

namespace App\Models;

use \DateTimeInterface;
use Illuminate\Database\Eloquent\Factories\HasFactory;
use Illuminate\Database\Eloquent\Model;
use Illuminate\Database\Eloquent\SoftDeletes;

class RabPendapatan extends Model
{
    use SoftDeletes;
    use HasFactory;

    public $table = 'rab_pendapatans';

    protected $dates = [
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    protected $fillable = [
        'beban_kategori_id',
        'beban_uraian_id',
        'beban_satuan_id',
        'beban_harga_satuan_id',
        'created_at',
        'updated_at',
        'deleted_at',
    ];

    public function rab_pendapatans()
    {
        return $this->belongsToMany(RabOnline::class);
    }

    public function beban_kategori()
    {
        return $this->belongsTo(MasterBeban::class, 'beban_kategori_id');
    }

    public function beban_uraian()
    {
        return $this->belongsTo(MasterBeban::class, 'beban_uraian_id');
    }

    public function beban_satuan()
    {
        return $this->belongsTo(MasterBeban::class, 'beban_satuan_id');
    }

    public function beban_harga_satuan()
    {
        return $this->belongsTo(MasterBeban::class, 'beban_harga_satuan_id');
    }

    protected function serializeDate(DateTimeInterface $date)
    {
        return $date->format('Y-m-d H:i:s');
    }
}
