<?php

namespace Database\Seeders;

use App\Models\Permission;
use App\Models\Role;
use Illuminate\Database\Seeder;

class PermissionRoleTableSeeder extends Seeder
{
    public function run()
    {
        $admin_permissions = Permission::all();
        Role::findOrFail(1)->permissions()->sync($admin_permissions);
        $user_permissions = $all_permissions->filter(function ($permission) {
            return in_array($permission->title, [
                'profile_password_edit',
                'rab_online_access',
                'rab_online_create',
                'rab_online_show',
            ]);
        });
        Role::findOrFail(2)->permissions()->sync($user_permissions);
        $analyst_direktur_permissions = $user_permissions->filter(function ($permission) {
            return $permission->title != 'rab_online_create';
        });
        Role::findOrFail(3)->permissions()->sync($analyst_direktur_permissions);
        Role::findOrFail(4)->permissions()->sync($analyst_direktur_permissions);
    }
}
