<?php

namespace Database\Seeders;

use App\Models\Permission;
use Illuminate\Database\Seeder;

class PermissionsTableSeeder extends Seeder
{
    public function run()
    {
        $permissions = [
            [
                'id'    => 1,
                'title' => 'user_management_access',
            ],
            [
                'id'    => 2,
                'title' => 'permission_create',
            ],
            [
                'id'    => 3,
                'title' => 'permission_edit',
            ],
            [
                'id'    => 4,
                'title' => 'permission_show',
            ],
            [
                'id'    => 5,
                'title' => 'permission_delete',
            ],
            [
                'id'    => 6,
                'title' => 'permission_access',
            ],
            [
                'id'    => 7,
                'title' => 'role_create',
            ],
            [
                'id'    => 8,
                'title' => 'role_edit',
            ],
            [
                'id'    => 9,
                'title' => 'role_show',
            ],
            [
                'id'    => 10,
                'title' => 'role_delete',
            ],
            [
                'id'    => 11,
                'title' => 'role_access',
            ],
            [
                'id'    => 12,
                'title' => 'user_create',
            ],
            [
                'id'    => 13,
                'title' => 'user_edit',
            ],
            [
                'id'    => 14,
                'title' => 'user_show',
            ],
            [
                'id'    => 15,
                'title' => 'user_delete',
            ],
            [
                'id'    => 16,
                'title' => 'user_access',
            ],
            [
                'id'    => 17,
                'title' => 'status_create',
            ],
            [
                'id'    => 18,
                'title' => 'status_edit',
            ],
            [
                'id'    => 19,
                'title' => 'status_show',
            ],
            [
                'id'    => 20,
                'title' => 'status_delete',
            ],
            [
                'id'    => 21,
                'title' => 'status_access',
            ],
            [
                'id'    => 22,
                'title' => 'rab_online_create',
            ],
            [
                'id'    => 23,
                'title' => 'rab_online_edit',
            ],
            [
                'id'    => 24,
                'title' => 'rab_online_show',
            ],
            [
                'id'    => 25,
                'title' => 'rab_online_delete',
            ],
            [
                'id'    => 26,
                'title' => 'rab_online_access',
            ],
            [
                'id'    => 27,
                'title' => 'justifikasi_create',
            ],
            [
                'id'    => 28,
                'title' => 'justifikasi_edit',
            ],
            [
                'id'    => 29,
                'title' => 'justifikasi_show',
            ],
            [
                'id'    => 30,
                'title' => 'justifikasi_delete',
            ],
            [
                'id'    => 31,
                'title' => 'justifikasi_access',
            ],
            [
                'id'    => 32,
                'title' => 'master_beban_create',
            ],
            [
                'id'    => 33,
                'title' => 'master_beban_edit',
            ],
            [
                'id'    => 34,
                'title' => 'master_beban_show',
            ],
            [
                'id'    => 35,
                'title' => 'master_beban_delete',
            ],
            [
                'id'    => 36,
                'title' => 'master_beban_access',
            ],
            [
                'id'    => 37,
                'title' => 'rab_pendapatan_create',
            ],
            [
                'id'    => 38,
                'title' => 'rab_pendapatan_edit',
            ],
            [
                'id'    => 39,
                'title' => 'rab_pendapatan_show',
            ],
            [
                'id'    => 40,
                'title' => 'rab_pendapatan_delete',
            ],
            [
                'id'    => 41,
                'title' => 'rab_pendapatan_access',
            ],
            [
                'id'    => 42,
                'title' => 'rab_beban_create',
            ],
            [
                'id'    => 43,
                'title' => 'rab_beban_edit',
            ],
            [
                'id'    => 44,
                'title' => 'rab_beban_show',
            ],
            [
                'id'    => 45,
                'title' => 'rab_beban_delete',
            ],
            [
                'id'    => 46,
                'title' => 'rab_beban_access',
            ],
            [
                'id'    => 47,
                'title' => 'profile_password_edit',
            ],
        ];

        Permission::insert($permissions);
    }
}
