@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.justifikasi.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.justifikasis.update", [$justifikasi->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label for="unit_kerja">{{ trans('cruds.justifikasi.fields.unit_kerja') }}</label>
                <input class="form-control {{ $errors->has('unit_kerja') ? 'is-invalid' : '' }}" type="text" name="unit_kerja" id="unit_kerja" value="{{ old('unit_kerja', $justifikasi->unit_kerja) }}">
                @if($errors->has('unit_kerja'))
                    <div class="invalid-feedback">
                        {{ $errors->first('unit_kerja') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.unit_kerja_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="nama_kegiatan_id">{{ trans('cruds.justifikasi.fields.nama_kegiatan') }}</label>
                <select class="form-control select2 {{ $errors->has('nama_kegiatan') ? 'is-invalid' : '' }}" name="nama_kegiatan_id" id="nama_kegiatan_id">
                    @foreach($nama_kegiatans as $id => $entry)
                        <option value="{{ $id }}" {{ (old('nama_kegiatan_id') ? old('nama_kegiatan_id') : $justifikasi->nama_kegiatan->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('nama_kegiatan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('nama_kegiatan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.nama_kegiatan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="jenis_anggaran_tahun">{{ trans('cruds.justifikasi.fields.jenis_anggaran_tahun') }}</label>
                <input class="form-control {{ $errors->has('jenis_anggaran_tahun') ? 'is-invalid' : '' }}" type="text" name="jenis_anggaran_tahun" id="jenis_anggaran_tahun" value="{{ old('jenis_anggaran_tahun', $justifikasi->jenis_anggaran_tahun) }}">
                @if($errors->has('jenis_anggaran_tahun'))
                    <div class="invalid-feedback">
                        {{ $errors->first('jenis_anggaran_tahun') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.jenis_anggaran_tahun_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="kode_drk">{{ trans('cruds.justifikasi.fields.kode_drk') }}</label>
                <input class="form-control {{ $errors->has('kode_drk') ? 'is-invalid' : '' }}" type="text" name="kode_drk" id="kode_drk" value="{{ old('kode_drk', $justifikasi->kode_drk) }}">
                @if($errors->has('kode_drk'))
                    <div class="invalid-feedback">
                        {{ $errors->first('kode_drk') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.kode_drk_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="no_akun">{{ trans('cruds.justifikasi.fields.no_akun') }}</label>
                <input class="form-control {{ $errors->has('no_akun') ? 'is-invalid' : '' }}" type="text" name="no_akun" id="no_akun" value="{{ old('no_akun', $justifikasi->no_akun) }}">
                @if($errors->has('no_akun'))
                    <div class="invalid-feedback">
                        {{ $errors->first('no_akun') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.no_akun_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="anggaran_dibutuhkan">{{ trans('cruds.justifikasi.fields.anggaran_dibutuhkan') }}</label>
                <input class="form-control {{ $errors->has('anggaran_dibutuhkan') ? 'is-invalid' : '' }}" type="number" name="anggaran_dibutuhkan" id="anggaran_dibutuhkan" value="{{ old('anggaran_dibutuhkan', $justifikasi->anggaran_dibutuhkan) }}" step="1">
                @if($errors->has('anggaran_dibutuhkan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('anggaran_dibutuhkan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.anggaran_dibutuhkan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="saat_penggunaan">{{ trans('cruds.justifikasi.fields.saat_penggunaan') }}</label>
                <input class="form-control date {{ $errors->has('saat_penggunaan') ? 'is-invalid' : '' }}" type="text" name="saat_penggunaan" id="saat_penggunaan" value="{{ old('saat_penggunaan', $justifikasi->saat_penggunaan) }}">
                @if($errors->has('saat_penggunaan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('saat_penggunaan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.saat_penggunaan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="latar_belakang">{{ trans('cruds.justifikasi.fields.latar_belakang') }}</label>
                <input class="form-control {{ $errors->has('latar_belakang') ? 'is-invalid' : '' }}" type="text" name="latar_belakang" id="latar_belakang" value="{{ old('latar_belakang', $justifikasi->latar_belakang) }}">
                @if($errors->has('latar_belakang'))
                    <div class="invalid-feedback">
                        {{ $errors->first('latar_belakang') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.latar_belakang_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="aspek_strategis">{{ trans('cruds.justifikasi.fields.aspek_strategis') }}</label>
                <input class="form-control {{ $errors->has('aspek_strategis') ? 'is-invalid' : '' }}" type="text" name="aspek_strategis" id="aspek_strategis" value="{{ old('aspek_strategis', $justifikasi->aspek_strategis) }}">
                @if($errors->has('aspek_strategis'))
                    <div class="invalid-feedback">
                        {{ $errors->first('aspek_strategis') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.aspek_strategis_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="aspek_bisnis">{{ trans('cruds.justifikasi.fields.aspek_bisnis') }}</label>
                <input class="form-control {{ $errors->has('aspek_bisnis') ? 'is-invalid' : '' }}" type="text" name="aspek_bisnis" id="aspek_bisnis" value="{{ old('aspek_bisnis', $justifikasi->aspek_bisnis) }}">
                @if($errors->has('aspek_bisnis'))
                    <div class="invalid-feedback">
                        {{ $errors->first('aspek_bisnis') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.aspek_bisnis_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="spesifikasi_teknis">{{ trans('cruds.justifikasi.fields.spesifikasi_teknis') }}</label>
                <input class="form-control {{ $errors->has('spesifikasi_teknis') ? 'is-invalid' : '' }}" type="text" name="spesifikasi_teknis" id="spesifikasi_teknis" value="{{ old('spesifikasi_teknis', $justifikasi->spesifikasi_teknis) }}">
                @if($errors->has('spesifikasi_teknis'))
                    <div class="invalid-feedback">
                        {{ $errors->first('spesifikasi_teknis') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.spesifikasi_teknis_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="rencana_pelaksanaan">{{ trans('cruds.justifikasi.fields.rencana_pelaksanaan') }}</label>
                <input class="form-control {{ $errors->has('rencana_pelaksanaan') ? 'is-invalid' : '' }}" type="text" name="rencana_pelaksanaan" id="rencana_pelaksanaan" value="{{ old('rencana_pelaksanaan', $justifikasi->rencana_pelaksanaan) }}">
                @if($errors->has('rencana_pelaksanaan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('rencana_pelaksanaan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.rencana_pelaksanaan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="distribusi_penggunaan">{{ trans('cruds.justifikasi.fields.distribusi_penggunaan') }}</label>
                <input class="form-control {{ $errors->has('distribusi_penggunaan') ? 'is-invalid' : '' }}" type="text" name="distribusi_penggunaan" id="distribusi_penggunaan" value="{{ old('distribusi_penggunaan', $justifikasi->distribusi_penggunaan) }}">
                @if($errors->has('distribusi_penggunaan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('distribusi_penggunaan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.distribusi_penggunaan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="posisi_persediaan">{{ trans('cruds.justifikasi.fields.posisi_persediaan') }}</label>
                <input class="form-control {{ $errors->has('posisi_persediaan') ? 'is-invalid' : '' }}" type="text" name="posisi_persediaan" id="posisi_persediaan" value="{{ old('posisi_persediaan', $justifikasi->posisi_persediaan) }}">
                @if($errors->has('posisi_persediaan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('posisi_persediaan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.justifikasi.fields.posisi_persediaan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection