@extends('layouts.admin')
@section('content')
@can('justifikasi_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.justifikasis.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.justifikasi.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.justifikasi.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-Justifikasi">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.unit_kerja') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.nama_kegiatan') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.jenis_anggaran_tahun') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.kode_drk') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.no_akun') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.anggaran_dibutuhkan') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.saat_penggunaan') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.latar_belakang') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.aspek_strategis') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.aspek_bisnis') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.spesifikasi_teknis') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.rencana_pelaksanaan') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.distribusi_penggunaan') }}
                        </th>
                        <th>
                            {{ trans('cruds.justifikasi.fields.posisi_persediaan') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($justifikasis as $key => $justifikasi)
                        <tr data-entry-id="{{ $justifikasi->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $justifikasi->id ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->unit_kerja ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->nama_kegiatan->judul_kegiatan ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->jenis_anggaran_tahun ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->kode_drk ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->no_akun ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->anggaran_dibutuhkan ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->saat_penggunaan ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->latar_belakang ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->aspek_strategis ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->aspek_bisnis ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->spesifikasi_teknis ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->rencana_pelaksanaan ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->distribusi_penggunaan ?? '' }}
                            </td>
                            <td>
                                {{ $justifikasi->posisi_persediaan ?? '' }}
                            </td>
                            <td>
                                @can('justifikasi_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.justifikasis.show', $justifikasi->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('justifikasi_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.justifikasis.edit', $justifikasi->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('justifikasi_delete')
                                    <form action="{{ route('admin.justifikasis.destroy', $justifikasi->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('justifikasi_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.justifikasis.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-Justifikasi:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection