@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.masterBeban.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.master-bebans.update", [$masterBeban->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label>{{ trans('cruds.masterBeban.fields.kategori_beban') }}</label>
                <select class="form-control {{ $errors->has('kategori_beban') ? 'is-invalid' : '' }}" name="kategori_beban" id="kategori_beban">
                    <option value disabled {{ old('kategori_beban', null) === null ? 'selected' : '' }}>{{ trans('global.pleaseSelect') }}</option>
                    @foreach(App\Models\MasterBeban::KATEGORI_BEBAN_SELECT as $key => $label)
                        <option value="{{ $key }}" {{ old('kategori_beban', $masterBeban->kategori_beban) === (string) $key ? 'selected' : '' }}>{{ $label }}</option>
                    @endforeach
                </select>
                @if($errors->has('kategori_beban'))
                    <div class="invalid-feedback">
                        {{ $errors->first('kategori_beban') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.masterBeban.fields.kategori_beban_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="uraian">{{ trans('cruds.masterBeban.fields.uraian') }}</label>
                <input class="form-control {{ $errors->has('uraian') ? 'is-invalid' : '' }}" type="text" name="uraian" id="uraian" value="{{ old('uraian', $masterBeban->uraian) }}">
                @if($errors->has('uraian'))
                    <div class="invalid-feedback">
                        {{ $errors->first('uraian') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.masterBeban.fields.uraian_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="satuan">{{ trans('cruds.masterBeban.fields.satuan') }}</label>
                <input class="form-control {{ $errors->has('satuan') ? 'is-invalid' : '' }}" type="text" name="satuan" id="satuan" value="{{ old('satuan', $masterBeban->satuan) }}">
                @if($errors->has('satuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('satuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.masterBeban.fields.satuan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="harga_satuan">{{ trans('cruds.masterBeban.fields.harga_satuan') }}</label>
                <input class="form-control {{ $errors->has('harga_satuan') ? 'is-invalid' : '' }}" type="text" name="harga_satuan" id="harga_satuan" value="{{ old('harga_satuan', $masterBeban->harga_satuan) }}">
                @if($errors->has('harga_satuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('harga_satuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.masterBeban.fields.harga_satuan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection