@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.edit') }} {{ trans('cruds.rabBeban.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.rab-bebans.update", [$rabBeban->id]) }}" enctype="multipart/form-data">
            @method('PUT')
            @csrf
            <div class="form-group">
                <label for="rab_id">{{ trans('cruds.rabBeban.fields.rab') }}</label>
                <select class="form-control select2 {{ $errors->has('rab') ? 'is-invalid' : '' }}" name="rab_id" id="rab_id">
                    @foreach($rabs as $id => $entry)
                        <option value="{{ $id }}" {{ (old('rab_id') ? old('rab_id') : $rabBeban->rab->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('rab'))
                    <div class="invalid-feedback">
                        {{ $errors->first('rab') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.rab_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="satuanbeban_id">{{ trans('cruds.rabBeban.fields.satuanbeban') }}</label>
                <select class="form-control select2 {{ $errors->has('satuanbeban') ? 'is-invalid' : '' }}" name="satuanbeban_id" id="satuanbeban_id">
                    @foreach($satuanbebans as $id => $entry)
                        <option value="{{ $id }}" {{ (old('satuanbeban_id') ? old('satuanbeban_id') : $rabBeban->satuanbeban->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('satuanbeban'))
                    <div class="invalid-feedback">
                        {{ $errors->first('satuanbeban') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.satuanbeban_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="hargasatuan_id">{{ trans('cruds.rabBeban.fields.hargasatuan') }}</label>
                <select class="form-control select2 {{ $errors->has('hargasatuan') ? 'is-invalid' : '' }}" name="hargasatuan_id" id="hargasatuan_id">
                    @foreach($hargasatuans as $id => $entry)
                        <option value="{{ $id }}" {{ (old('hargasatuan_id') ? old('hargasatuan_id') : $rabBeban->hargasatuan->id ?? '') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('hargasatuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('hargasatuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.hargasatuan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="volume_satuan">{{ trans('cruds.rabBeban.fields.volume_satuan') }}</label>
                <input class="form-control {{ $errors->has('volume_satuan') ? 'is-invalid' : '' }}" type="text" name="volume_satuan" id="volume_satuan" value="{{ old('volume_satuan', $rabBeban->volume_satuan) }}">
                @if($errors->has('volume_satuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('volume_satuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.volume_satuan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="volume_item">{{ trans('cruds.rabBeban.fields.volume_item') }}</label>
                <input class="form-control {{ $errors->has('volume_item') ? 'is-invalid' : '' }}" type="text" name="volume_item" id="volume_item" value="{{ old('volume_item', $rabBeban->volume_item) }}">
                @if($errors->has('volume_item'))
                    <div class="invalid-feedback">
                        {{ $errors->first('volume_item') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.volume_item_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="ppn">{{ trans('cruds.rabBeban.fields.ppn') }}</label>
                <input class="form-control {{ $errors->has('ppn') ? 'is-invalid' : '' }}" type="text" name="ppn" id="ppn" value="{{ old('ppn', $rabBeban->ppn) }}">
                @if($errors->has('ppn'))
                    <div class="invalid-feedback">
                        {{ $errors->first('ppn') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.ppn_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="panjar">{{ trans('cruds.rabBeban.fields.panjar') }}</label>
                <input class="form-control {{ $errors->has('panjar') ? 'is-invalid' : '' }}" type="text" name="panjar" id="panjar" value="{{ old('panjar', $rabBeban->panjar) }}">
                @if($errors->has('panjar'))
                    <div class="invalid-feedback">
                        {{ $errors->first('panjar') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.panjar_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="total_harga">{{ trans('cruds.rabBeban.fields.total_harga') }}</label>
                <input class="form-control {{ $errors->has('total_harga') ? 'is-invalid' : '' }}" type="text" name="total_harga" id="total_harga" value="{{ old('total_harga', $rabBeban->total_harga) }}">
                @if($errors->has('total_harga'))
                    <div class="invalid-feedback">
                        {{ $errors->first('total_harga') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.total_harga_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="keterangan">{{ trans('cruds.rabBeban.fields.keterangan') }}</label>
                <textarea class="form-control {{ $errors->has('keterangan') ? 'is-invalid' : '' }}" name="keterangan" id="keterangan">{{ old('keterangan', $rabBeban->keterangan) }}</textarea>
                @if($errors->has('keterangan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('keterangan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabBeban.fields.keterangan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection