@extends('layouts.admin')
@section('content')
@can('rab_online_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.rab-onlines.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.rabOnline.title_singular') }}
            </a>
        </div>
    </div>
@endcan
<div class="card">
    <div class="card-header">
        {{ trans('cruds.rabOnline.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-RabOnline">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.judul_kl_spk_po_pks_p_8_form_pendaftaran') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.no_kl_spk_po_pks_p_8_form_pendaftaran') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.tgl_kl_spk_po_pks_p_8_form_pendaftaran') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.judul_kegiatan') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.pelanggan_user') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.customer') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.jumlah_peserta') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.jumlah_hari') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.tanggal') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.lokasi_kota') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.metode_penyelenggaran') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.metode_pembayaran') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.umur_piutang') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.jenis_kegiatan') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.beban') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.analyst') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.direktur') }}
                        </th>
                        <th>
                            {{ trans('cruds.rabOnline.fields.statues') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($rabOnlines as $key => $rabOnline)
                        <tr data-entry-id="{{ $rabOnline->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $rabOnline->id ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->judul_kl_spk_po_pks_p_8_form_pendaftaran ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->no_kl_spk_po_pks_p_8_form_pendaftaran ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->tgl_kl_spk_po_pks_p_8_form_pendaftaran ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->judul_kegiatan ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->pelanggan_user ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->customer ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->jumlah_peserta ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->jumlah_hari ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->tanggal ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->lokasi_kota ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\RabOnline::METODE_PENYELENGGARAN_RADIO[$rabOnline->metode_penyelenggaran] ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\RabOnline::METODE_PEMBAYARAN_SELECT[$rabOnline->metode_pembayaran] ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->umur_piutang ?? '' }}
                            </td>
                            <td>
                                {{ App\Models\RabOnline::JENIS_KEGIATAN_SELECT[$rabOnline->jenis_kegiatan] ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->beban->uraian ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->analyst->name ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->direktur->name ?? '' }}
                            </td>
                            <td>
                                {{ $rabOnline->statues->name ?? '' }}
                            </td>
                            <td>
                                @can('rab_online_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.rab-onlines.show', $rabOnline->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('rab_online_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.rab-onlines.edit', $rabOnline->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('rab_online_delete')
                                    <form action="{{ route('admin.rab-onlines.destroy', $rabOnline->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>



@endsection
@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('rab_online_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.rab-onlines.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-RabOnline:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection