@can('beban_create')
    <div style="margin-bottom: 10px;" class="row">
        <div class="col-lg-12">
            <a class="btn btn-success" href="{{ route('admin.bebans.create') }}">
                {{ trans('global.add') }} {{ trans('cruds.beban.title_singular') }}
            </a>
        </div>
    </div>
@endcan

<div class="card">
    <div class="card-header">
        {{ trans('cruds.beban.title_singular') }} {{ trans('global.list') }}
    </div>

    <div class="card-body">
        <div class="table-responsive">
            <table class=" table table-bordered table-striped table-hover datatable datatable-bebanRabBebans">
                <thead>
                    <tr>
                        <th width="10">

                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.id') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.sales') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.analyst') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.statues') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.beban_rab') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.justifikasi') }}
                        </th>
                        <th>
                            {{ trans('cruds.beban.fields.beban') }}
                        </th>
                        <th>
                            &nbsp;
                        </th>
                    </tr>
                </thead>
                <tbody>
                    @foreach($bebans as $key => $beban)
                        <tr data-entry-id="{{ $beban->id }}">
                            <td>

                            </td>
                            <td>
                                {{ $beban->id ?? '' }}
                            </td>
                            <td>
                                {{ $beban->sales->name ?? '' }}
                            </td>
                            <td>
                                {{ $beban->analyst->name ?? '' }}
                            </td>
                            <td>
                                {{ $beban->statues->name ?? '' }}
                            </td>
                            <td>
                                {{ $beban->beban_rab->judul_kl_spk_po_pks_p_8_form_pendaftaran ?? '' }}
                            </td>
                            <td>
                                {{ $beban->justifikasi->unit_kerja ?? '' }}
                            </td>
                            <td>
                                {{ $beban->beban->uraian ?? '' }}
                            </td>
                            <td>
                                @can('beban_show')
                                    <a class="btn btn-xs btn-primary" href="{{ route('admin.bebans.show', $beban->id) }}">
                                        {{ trans('global.view') }}
                                    </a>
                                @endcan

                                @can('beban_edit')
                                    <a class="btn btn-xs btn-info" href="{{ route('admin.bebans.edit', $beban->id) }}">
                                        {{ trans('global.edit') }}
                                    </a>
                                @endcan

                                @can('beban_delete')
                                    <form action="{{ route('admin.bebans.destroy', $beban->id) }}" method="POST" onsubmit="return confirm('{{ trans('global.areYouSure') }}');" style="display: inline-block;">
                                        <input type="hidden" name="_method" value="DELETE">
                                        <input type="hidden" name="_token" value="{{ csrf_token() }}">
                                        <input type="submit" class="btn btn-xs btn-danger" value="{{ trans('global.delete') }}">
                                    </form>
                                @endcan

                            </td>

                        </tr>
                    @endforeach
                </tbody>
            </table>
        </div>
    </div>
</div>

@section('scripts')
@parent
<script>
    $(function () {
  let dtButtons = $.extend(true, [], $.fn.dataTable.defaults.buttons)
@can('beban_delete')
  let deleteButtonTrans = '{{ trans('global.datatables.delete') }}'
  let deleteButton = {
    text: deleteButtonTrans,
    url: "{{ route('admin.bebans.massDestroy') }}",
    className: 'btn-danger',
    action: function (e, dt, node, config) {
      var ids = $.map(dt.rows({ selected: true }).nodes(), function (entry) {
          return $(entry).data('entry-id')
      });

      if (ids.length === 0) {
        alert('{{ trans('global.datatables.zero_selected') }}')

        return
      }

      if (confirm('{{ trans('global.areYouSure') }}')) {
        $.ajax({
          headers: {'x-csrf-token': _token},
          method: 'POST',
          url: config.url,
          data: { ids: ids, _method: 'DELETE' }})
          .done(function () { location.reload() })
      }
    }
  }
  dtButtons.push(deleteButton)
@endcan

  $.extend(true, $.fn.dataTable.defaults, {
    orderCellsTop: true,
    order: [[ 1, 'desc' ]],
    pageLength: 100,
  });
  let table = $('.datatable-bebanRabBebans:not(.ajaxTable)').DataTable({ buttons: dtButtons })
  $('a[data-toggle="tab"]').on('shown.bs.tab click', function(e){
      $($.fn.dataTable.tables(true)).DataTable()
          .columns.adjust();
  });
  
})

</script>
@endsection