@extends('layouts.admin')
@section('content')

<div class="card">
    <div class="card-header">
        {{ trans('global.create') }} {{ trans('cruds.rabPendapatan.title_singular') }}
    </div>

    <div class="card-body">
        <form method="POST" action="{{ route("admin.rab-pendapatans.store") }}" enctype="multipart/form-data">
            @csrf
            <div class="form-group">
                <label for="rab_pendapatans">{{ trans('cruds.rabPendapatan.fields.rab_pendapatan') }}</label>
                <div style="padding-bottom: 4px">
                    <span class="btn btn-info btn-xs select-all" style="border-radius: 0">{{ trans('global.select_all') }}</span>
                    <span class="btn btn-info btn-xs deselect-all" style="border-radius: 0">{{ trans('global.deselect_all') }}</span>
                </div>
                <select class="form-control select2 {{ $errors->has('rab_pendapatans') ? 'is-invalid' : '' }}" name="rab_pendapatans[]" id="rab_pendapatans" multiple>
                    @foreach($rab_pendapatans as $id => $rab_pendapatan)
                        <option value="{{ $id }}" {{ in_array($id, old('rab_pendapatans', [])) ? 'selected' : '' }}>{{ $rab_pendapatan }}</option>
                    @endforeach
                </select>
                @if($errors->has('rab_pendapatans'))
                    <div class="invalid-feedback">
                        {{ $errors->first('rab_pendapatans') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabPendapatan.fields.rab_pendapatan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="beban_kategori_id">{{ trans('cruds.rabPendapatan.fields.beban_kategori') }}</label>
                <select class="form-control select2 {{ $errors->has('beban_kategori') ? 'is-invalid' : '' }}" name="beban_kategori_id" id="beban_kategori_id">
                    @foreach($beban_kategoris as $id => $entry)
                        <option value="{{ $id }}" {{ old('beban_kategori_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('beban_kategori'))
                    <div class="invalid-feedback">
                        {{ $errors->first('beban_kategori') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabPendapatan.fields.beban_kategori_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="beban_uraian_id">{{ trans('cruds.rabPendapatan.fields.beban_uraian') }}</label>
                <select class="form-control select2 {{ $errors->has('beban_uraian') ? 'is-invalid' : '' }}" name="beban_uraian_id" id="beban_uraian_id">
                    @foreach($beban_uraians as $id => $entry)
                        <option value="{{ $id }}" {{ old('beban_uraian_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('beban_uraian'))
                    <div class="invalid-feedback">
                        {{ $errors->first('beban_uraian') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabPendapatan.fields.beban_uraian_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="beban_satuan_id">{{ trans('cruds.rabPendapatan.fields.beban_satuan') }}</label>
                <select class="form-control select2 {{ $errors->has('beban_satuan') ? 'is-invalid' : '' }}" name="beban_satuan_id" id="beban_satuan_id">
                    @foreach($beban_satuans as $id => $entry)
                        <option value="{{ $id }}" {{ old('beban_satuan_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('beban_satuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('beban_satuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabPendapatan.fields.beban_satuan_helper') }}</span>
            </div>
            <div class="form-group">
                <label for="beban_harga_satuan_id">{{ trans('cruds.rabPendapatan.fields.beban_harga_satuan') }}</label>
                <select class="form-control select2 {{ $errors->has('beban_harga_satuan') ? 'is-invalid' : '' }}" name="beban_harga_satuan_id" id="beban_harga_satuan_id">
                    @foreach($beban_harga_satuans as $id => $entry)
                        <option value="{{ $id }}" {{ old('beban_harga_satuan_id') == $id ? 'selected' : '' }}>{{ $entry }}</option>
                    @endforeach
                </select>
                @if($errors->has('beban_harga_satuan'))
                    <div class="invalid-feedback">
                        {{ $errors->first('beban_harga_satuan') }}
                    </div>
                @endif
                <span class="help-block">{{ trans('cruds.rabPendapatan.fields.beban_harga_satuan_helper') }}</span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    {{ trans('global.save') }}
                </button>
            </div>
        </form>
    </div>
</div>



@endsection