<?php

Route::redirect('/', '/login');
Route::get('/home', function () {
    if (session('status')) {
        return redirect()->route('admin.home')->with('status', session('status'));
    }

    return redirect()->route('admin.home');
});

Auth::routes(['register' => false]);

Route::group(['prefix' => 'admin', 'as' => 'admin.', 'namespace' => 'Admin', 'middleware' => ['auth']], function () {
    Route::get('/', 'HomeController@index')->name('home');
    // Permissions
    Route::delete('permissions/destroy', 'PermissionsController@massDestroy')->name('permissions.massDestroy');
    Route::resource('permissions', 'PermissionsController');

    // Roles
    Route::delete('roles/destroy', 'RolesController@massDestroy')->name('roles.massDestroy');
    Route::resource('roles', 'RolesController');

    // Users
    Route::delete('users/destroy', 'UsersController@massDestroy')->name('users.massDestroy');
    Route::resource('users', 'UsersController');

    // Statuses
    Route::delete('statuses/destroy', 'StatusesController@massDestroy')->name('statuses.massDestroy');
    Route::resource('statuses', 'StatusesController');

    // Rab Online
    Route::delete('rab-onlines/destroy', 'RabOnlineController@massDestroy')->name('rab-onlines.massDestroy');
    Route::resource('rab-onlines', 'RabOnlineController');

    // Justifikasi
    Route::delete('justifikasis/destroy', 'JustifikasiController@massDestroy')->name('justifikasis.massDestroy');
    Route::resource('justifikasis', 'JustifikasiController');

    // Master Beban
    Route::delete('master-bebans/destroy', 'MasterBebanController@massDestroy')->name('master-bebans.massDestroy');
    Route::resource('master-bebans', 'MasterBebanController');

    // Rab Pendapatan
    Route::delete('rab-pendapatans/destroy', 'RabPendapatanController@massDestroy')->name('rab-pendapatans.massDestroy');
    Route::resource('rab-pendapatans', 'RabPendapatanController');

    // Rab Beban
    Route::delete('rab-bebans/destroy', 'RabBebanController@massDestroy')->name('rab-bebans.massDestroy');
    Route::resource('rab-bebans', 'RabBebanController');
});
Route::group(['prefix' => 'profile', 'as' => 'profile.', 'namespace' => 'Auth', 'middleware' => ['auth']], function () {
    // Change password
    if (file_exists(app_path('Http/Controllers/Auth/ChangePasswordController.php'))) {
        Route::get('password', 'ChangePasswordController@edit')->name('password.edit');
        Route::post('password', 'ChangePasswordController@update')->name('password.update');
        Route::post('profile', 'ChangePasswordController@updateProfile')->name('password.updateProfile');
        Route::post('profile/destroy', 'ChangePasswordController@destroy')->name('password.destroyProfile');
    }
});
