<?php $__env->startSection('content'); ?>

<div class="card">
    <div class="card-header">
        <?php echo e(trans('global.create')); ?> <?php echo e(trans('cruds.justifikasi.title_singular')); ?>

    </div>

    <div class="card-body">
        <form method="POST" action="<?php echo e(route("admin.justifikasis.store")); ?>" enctype="multipart/form-data">
            <?php echo csrf_field(); ?>
            <div class="form-group">
                <label for="unit_kerja"><?php echo e(trans('cruds.justifikasi.fields.unit_kerja')); ?></label>
                <input class="form-control <?php echo e($errors->has('unit_kerja') ? 'is-invalid' : ''); ?>" type="text" name="unit_kerja" id="unit_kerja" value="<?php echo e(old('unit_kerja', '')); ?>">
                <?php if($errors->has('unit_kerja')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('unit_kerja')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.unit_kerja_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="nama_kegiatan_id"><?php echo e(trans('cruds.justifikasi.fields.nama_kegiatan')); ?></label>
                <select class="form-control select2 <?php echo e($errors->has('nama_kegiatan') ? 'is-invalid' : ''); ?>" name="nama_kegiatan_id" id="nama_kegiatan_id">
                    <?php $__currentLoopData = $nama_kegiatans; $__env->addLoop($__currentLoopData); foreach($__currentLoopData as $id => $entry): $__env->incrementLoopIndices(); $loop = $__env->getLastLoop(); ?>
                        <option value="<?php echo e($id); ?>" <?php echo e(old('nama_kegiatan_id') == $id ? 'selected' : ''); ?>><?php echo e($entry); ?></option>
                    <?php endforeach; $__env->popLoop(); $loop = $__env->getLastLoop(); ?>
                </select>
                <?php if($errors->has('nama_kegiatan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('nama_kegiatan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.nama_kegiatan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="jenis_anggaran_tahun"><?php echo e(trans('cruds.justifikasi.fields.jenis_anggaran_tahun')); ?></label>
                <input class="form-control <?php echo e($errors->has('jenis_anggaran_tahun') ? 'is-invalid' : ''); ?>" type="text" name="jenis_anggaran_tahun" id="jenis_anggaran_tahun" value="<?php echo e(old('jenis_anggaran_tahun', '')); ?>">
                <?php if($errors->has('jenis_anggaran_tahun')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('jenis_anggaran_tahun')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.jenis_anggaran_tahun_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="kode_drk"><?php echo e(trans('cruds.justifikasi.fields.kode_drk')); ?></label>
                <input class="form-control <?php echo e($errors->has('kode_drk') ? 'is-invalid' : ''); ?>" type="text" name="kode_drk" id="kode_drk" value="<?php echo e(old('kode_drk', '')); ?>">
                <?php if($errors->has('kode_drk')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('kode_drk')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.kode_drk_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="no_akun"><?php echo e(trans('cruds.justifikasi.fields.no_akun')); ?></label>
                <input class="form-control <?php echo e($errors->has('no_akun') ? 'is-invalid' : ''); ?>" type="text" name="no_akun" id="no_akun" value="<?php echo e(old('no_akun', '')); ?>">
                <?php if($errors->has('no_akun')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('no_akun')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.no_akun_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="anggaran_dibutuhkan"><?php echo e(trans('cruds.justifikasi.fields.anggaran_dibutuhkan')); ?></label>
                <input class="form-control <?php echo e($errors->has('anggaran_dibutuhkan') ? 'is-invalid' : ''); ?>" type="number" name="anggaran_dibutuhkan" id="anggaran_dibutuhkan" value="<?php echo e(old('anggaran_dibutuhkan', '')); ?>" step="1">
                <?php if($errors->has('anggaran_dibutuhkan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('anggaran_dibutuhkan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.anggaran_dibutuhkan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="saat_penggunaan"><?php echo e(trans('cruds.justifikasi.fields.saat_penggunaan')); ?></label>
                <input class="form-control date <?php echo e($errors->has('saat_penggunaan') ? 'is-invalid' : ''); ?>" type="text" name="saat_penggunaan" id="saat_penggunaan" value="<?php echo e(old('saat_penggunaan')); ?>">
                <?php if($errors->has('saat_penggunaan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('saat_penggunaan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.saat_penggunaan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="latar_belakang"><?php echo e(trans('cruds.justifikasi.fields.latar_belakang')); ?></label>
                <input class="form-control <?php echo e($errors->has('latar_belakang') ? 'is-invalid' : ''); ?>" type="text" name="latar_belakang" id="latar_belakang" value="<?php echo e(old('latar_belakang', '')); ?>">
                <?php if($errors->has('latar_belakang')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('latar_belakang')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.latar_belakang_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="aspek_strategis"><?php echo e(trans('cruds.justifikasi.fields.aspek_strategis')); ?></label>
                <input class="form-control <?php echo e($errors->has('aspek_strategis') ? 'is-invalid' : ''); ?>" type="text" name="aspek_strategis" id="aspek_strategis" value="<?php echo e(old('aspek_strategis', '')); ?>">
                <?php if($errors->has('aspek_strategis')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('aspek_strategis')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.aspek_strategis_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="aspek_bisnis"><?php echo e(trans('cruds.justifikasi.fields.aspek_bisnis')); ?></label>
                <input class="form-control <?php echo e($errors->has('aspek_bisnis') ? 'is-invalid' : ''); ?>" type="text" name="aspek_bisnis" id="aspek_bisnis" value="<?php echo e(old('aspek_bisnis', '')); ?>">
                <?php if($errors->has('aspek_bisnis')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('aspek_bisnis')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.aspek_bisnis_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="spesifikasi_teknis"><?php echo e(trans('cruds.justifikasi.fields.spesifikasi_teknis')); ?></label>
                <input class="form-control <?php echo e($errors->has('spesifikasi_teknis') ? 'is-invalid' : ''); ?>" type="text" name="spesifikasi_teknis" id="spesifikasi_teknis" value="<?php echo e(old('spesifikasi_teknis', '')); ?>">
                <?php if($errors->has('spesifikasi_teknis')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('spesifikasi_teknis')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.spesifikasi_teknis_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="rencana_pelaksanaan"><?php echo e(trans('cruds.justifikasi.fields.rencana_pelaksanaan')); ?></label>
                <input class="form-control <?php echo e($errors->has('rencana_pelaksanaan') ? 'is-invalid' : ''); ?>" type="text" name="rencana_pelaksanaan" id="rencana_pelaksanaan" value="<?php echo e(old('rencana_pelaksanaan', '')); ?>">
                <?php if($errors->has('rencana_pelaksanaan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('rencana_pelaksanaan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.rencana_pelaksanaan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="distribusi_penggunaan"><?php echo e(trans('cruds.justifikasi.fields.distribusi_penggunaan')); ?></label>
                <input class="form-control <?php echo e($errors->has('distribusi_penggunaan') ? 'is-invalid' : ''); ?>" type="text" name="distribusi_penggunaan" id="distribusi_penggunaan" value="<?php echo e(old('distribusi_penggunaan', '')); ?>">
                <?php if($errors->has('distribusi_penggunaan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('distribusi_penggunaan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.distribusi_penggunaan_helper')); ?></span>
            </div>
            <div class="form-group">
                <label for="posisi_persediaan"><?php echo e(trans('cruds.justifikasi.fields.posisi_persediaan')); ?></label>
                <input class="form-control <?php echo e($errors->has('posisi_persediaan') ? 'is-invalid' : ''); ?>" type="text" name="posisi_persediaan" id="posisi_persediaan" value="<?php echo e(old('posisi_persediaan', '')); ?>">
                <?php if($errors->has('posisi_persediaan')): ?>
                    <div class="invalid-feedback">
                        <?php echo e($errors->first('posisi_persediaan')); ?>

                    </div>
                <?php endif; ?>
                <span class="help-block"><?php echo e(trans('cruds.justifikasi.fields.posisi_persediaan_helper')); ?></span>
            </div>
            <div class="form-group">
                <button class="btn btn-danger" type="submit">
                    <?php echo e(trans('global.save')); ?>

                </button>
            </div>
        </form>
    </div>
</div>



<?php $__env->stopSection(); ?>
<?php echo $__env->make('layouts.admin', \Illuminate\Support\Arr::except(get_defined_vars(), ['__data', '__path']))->render(); ?><?php /**PATH C:\xampp\htdocs\rabb\resources\views/admin/justifikasis/create.blade.php ENDPATH**/ ?>